当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 15 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]scim-python 安装不成功的问题
帖子发表于 : 2008-09-04 20:08 

注册: 2006-07-09 14:18
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
本人新手,刚装完8.04,下载了scim-python -0.1.13rc1. 执行完./configure --prefix=/usr正常后,在make时总出现一下错误,网上没找到解决方法,就在这里发问了。请高手指点!

wget http://scim-python.googlecode.com/files ... .5.tar.bz2
解析代理服务器 URL http://:8080/ 时发生错误:非法主机名称。
make[4]: *** [pinyin-database-0.1.10.5.tar.bz2] 错误 1


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-09-04 20:35 

注册: 2007-08-15 11:56
帖子: 22
送出感谢: 0 次
接收感谢: 0 次
scim-python基于scim, 安装后即与scim整合,整合了搜狗拼音输入法的词库,而且能动态调整词频,用辅助键选词,简单的英文提示。scim-python带了两个输入法:巨蟒拼音输入法和整句输入法。缺点是:因为python的缘故,某些情况下反应比较慢,一般情况下反应速度还是可以。

安装步骤:
http://code.google.com/p/scim-python/downloads/list下载 scim-python源代码包。
执行下列命令:
代码:
sudo apt-get install scim-dev
sudo apt-get install python-enchant
sudo apt-get install python-gtk2-dev
sudo apt-get install libgtk2.0-dev
[color=red]tar jxvf scim-python-${version}.tar.bz2
cd scim-python-${version}
[/color]sh configure –prefix=/usr
make
sudo make install


提示:请注意红色的字tar jxvf scim-python-${version}.tar.bz2
cd scim-python-${version}
中的 ${version} 是你下载那个文件的版本 自己对照一下下载后的文件名.我这里是:scim-python-0.1.13rc1
另外得保证自己的系统里已经安装了G++ 否则在make了之后会出现这样的错误:
代码:
../libtool: line 1311: g++: command not found
make[2]: *** [_scim_la-scim-python.lo] 错误 1
make[2]:正在离开目录 `/home/administrator/scim-python-0.1.13rc1/src'
make[1]: *** [install-recursive] 错误 1
make[1]:正在离开目录 `/home/administrator/scim-python-0.1.13rc1/src'
make: *** [install-recursive] 错误 1


重新登录桌面系统。
设置习惯自己的快捷键:比如左右Ctrl切换中英文,左右shift选词2,3
sudo gedit ~/.scim/config
修改:
/IMEngine/Chewing/ChiEngKey = Control+Control_R+KeyRelease,Control+Control_L+KeyRelease
/IMEngine/Pinyin/ModeSwitchKey = Control+Control_L+KeyRelease,Control+Control_R+KeyRelease

/IMEngine/Table/ModeSwitchKey = Control+Control_L+KeyRelease,Control+Control_R+KeyRelease

重启X,OK。

让scim实现光标跟随:
修改 /etc/X11/xinit/xinput.d/scim 改成这样:
#GTK_IM_MODULE=xim
#QT_IM_MODULE=xim
GTK_IM_MODULE=scim
QT_IM_MODULE=scim

如果出现下列错误:
../libtool: line 1311: g++: command not found
make[2]: *** [_scim_la-scim-python.lo] 错误 1
make[2]: Leaving directory `/home/leslie/scim-python-0.1.8/src’
make[1]: *** [install-recursive] 错误 1
make[1]: Leaving directory `/home/leslie/scim-python-0.1.8/src’
make: *** [install-recursive] 错误 1

安装:sudo apt-get install build-essential gcc make autoconf automake libtool gdb g++


最后由 condywl 编辑于 2008-09-05 12:18,总共编辑了 4 次

页首
 用户资料  
 
3 楼 
 文章标题 : 安装依赖包仍然出错
帖子发表于 : 2008-09-04 21:11 

注册: 2006-07-09 14:18
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
那几个依赖包我都安装了,在make的时候仍然出错。完整的出错信息如下:

make[4]:正在离开目录 `/tmp/scim-python-0.1.13rc1/python/engine/EnglishWriter'
Making all in PinYin
make[4]: 正在进入目录 `/tmp/scim-python-0.1.13rc1/python/engine/PinYin'
wget http://scim-python.googlecode.com/files ... .5.tar.bz2
解析代理服务器 URL http://:8080/ 时发生错误:非法主机名称。
make[4]: *** [pinyin-database-0.1.10.5.tar.bz2] 错误 1
make[4]:正在离开目录 `/tmp/scim-python-0.1.13rc1/python/engine/PinYin'
make[3]: *** [all-recursive] 错误 1
make[3]:正在离开目录 `/tmp/scim-python-0.1.13rc1/python/engine'
make[2]: *** [all-recursive] 错误 1
make[2]:正在离开目录 `/tmp/scim-python-0.1.13rc1/python'
make[1]: *** [all-recursive] 错误 1
make[1]:正在离开目录 `/tmp/scim-python-0.1.13rc1'
make: *** [all] 错误 2

到底怎么回事?


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-09-04 21:26 
头像

注册: 2008-07-14 22:42
帖子: 8078
地址: Beijing
送出感谢: 0 次
接收感谢: 0 次
最好还是下载最新的deb包傻瓜安装就行了。。。 :wink:
免去编译的烦恼


_________________
Ubuntu User


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-09-04 22:46 

注册: 2006-07-09 14:18
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
饿滴神哪,还是用DEB方便啊!


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-09-05 15:32 
头像

注册: 2005-10-14 15:56
帖子: 1845
送出感谢: 0 次
接收感谢: 7
用ibus-pinyin吧,再做一次广告,跟scim-python一个作者,词库也是一样的。没有这些麻烦


_________________
yunio:又一个支持linux的云存储:链接 (非邀请链接)。
BCM4313驱动正常无法联网的解决:这里
plank:轻巧漂亮的dock 介绍在这里


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-09-05 15:53 
头像

注册: 2008-07-14 22:42
帖子: 8078
地址: Beijing
送出感谢: 0 次
接收感谢: 0 次
npnufn 写道:
用ibus-pinyin吧,再做一次广告,跟scim-python一个作者,词库也是一样的。没有这些麻烦

试用过了。。。非常不错。。。不愧是下一代输入法 :cry:


_________________
Ubuntu User


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-09-08 16:42 
头像

注册: 2008-08-29 19:27
帖子: 46
地址: 四川成都
送出感谢: 0 次
接收感谢: 0 次
在执行这步
代码:
tar jxvf scim-python-0.1.13rc1.tar.bz2
时报错:
代码:
tar: scim-python-0.1.13rc1.tar.bz2:无法 open: 没有该文件或目录
tar: 错误不可恢复:现在退出
tar: Child returned status 2
tar: 由于前面延迟的错误而退出


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-09-17 12:05 

注册: 2008-09-05 11:52
帖子: 133
送出感谢: 0 次
接收感谢: 0 次
denglin216 写道:
在执行这步
代码:
tar jxvf scim-python-0.1.13rc1.tar.bz2
时报错:
代码:
tar: scim-python-0.1.13rc1.tar.bz2:无法 open: 没有该文件或目录
tar: 错误不可恢复:现在退出
tar: Child returned status 2
tar: 由于前面延迟的错误而退出


你就直接把scim-python-0.1.13rc1.tar.bz2解压到一个地方就行了


页首
 用户资料  
 
10 楼 
 文章标题 : Re: [问题]scim-python 安装不成功的问题
帖子发表于 : 2008-09-23 11:10 

注册: 2008-09-13 19:24
帖子: 117
送出感谢: 0 次
接收感谢: 0 次
让scim实现光标跟随:
修改 /etc/X11/xinit/xinput.d/scim 改成这样:
#GTK_IM_MODULE=xim
#QT_IM_MODULE=xim
GTK_IM_MODULE=scim
QT_IM_MODULE=scim


下载deb包安装成功,实现左右shift键选第二、三字,爽。但是实现光标跟随不理解,是不是把
GTK_IM_MODULE=xim
QT_IM_MODULE=xim
这两行替换成
GTK_IM_MODULE=scim
QT_IM_MODULE=scim
直接加入提示不能保存,又不敢乱动,请指教,谢谢啦!



替换也提示没有权限,要求检查输入位置是否正确等。


页首
 用户资料  
 
11 楼 
 文章标题 : Re:
帖子发表于 : 2008-11-06 12:20 

注册: 2008-05-09 17:21
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
想入非非 写道:
最好还是下载最新的deb包傻瓜安装就行了。。。 :wink:
免去编译的烦恼

哪里有DEB包下载阿?


页首
 用户资料  
 
12 楼 
 文章标题 : Re: [问题]scim-python 安装不成功的问题
帖子发表于 : 2008-11-06 12:46 

注册: 2008-05-09 17:21
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
deb
http://blog.eshangrao.com/2008/08/25/551/


页首
 用户资料  
 
13 楼 
 文章标题 : Re: [问题]scim-python 安装不成功的问题
帖子发表于 : 2008-11-08 9:46 
头像

注册: 2007-04-11 10:39
帖子: 319
送出感谢: 0 次
接收感谢: 0 次
zxcrj 写道:
让scim实现光标跟随:
修改 /etc/X11/xinit/xinput.d/scim 改成这样:
#GTK_IM_MODULE=xim
#QT_IM_MODULE=xim
GTK_IM_MODULE=scim
QT_IM_MODULE=scim


下载deb包安装成功,实现左右shift键选第二、三字,爽。但是实现光标跟随不理解,是不是把
GTK_IM_MODULE=xim
QT_IM_MODULE=xim
这两行替换成
GTK_IM_MODULE=scim
QT_IM_MODULE=scim
直接加入提示不能保存,又不敢乱动,请指教,谢谢啦!



替换也提示没有权限,要求检查输入位置是否正确等。


sudo /etc/X11/xinit/xinput.d/scim


页首
 用户资料  
 
14 楼 
 文章标题 : Re: [问题]scim-python 安装不成功的问题
帖子发表于 : 2008-12-05 1:02 

注册: 2008-11-16 0:57
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
zxcrj 写道:
让scim实现光标跟随:
修改 /etc/X11/xinit/xinput.d/scim 改成这样:
#GTK_IM_MODULE=xim
#QT_IM_MODULE=xim
GTK_IM_MODULE=scim
QT_IM_MODULE=scim


下载deb包安装成功,实现左右shift键选第二、三字,爽。但是实现光标跟随不理解,是不是把
GTK_IM_MODULE=xim
QT_IM_MODULE=xim
这两行替换成
GTK_IM_MODULE=scim
QT_IM_MODULE=scim
直接加入提示不能保存,又不敢乱动,请指教,谢谢啦!



替换也提示没有权限,要求检查输入位置是否正确等。




遇到跟你相似的问题,放弃了scim-python,安装了ibus,很好用~~~推荐下


页首
 用户资料  
 
15 楼 
 文章标题 : Re: [问题]scim-python 安装不成功的问题
帖子发表于 : 2009-10-03 13:40 

注册: 2007-09-26 20:30
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
我使用了deb包,可是安装后 重启后,输入法没有任何变化。里面还是只有一个


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 15 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译